package gmt.stddecoder.type;

public enum GmtSTDType {
	prFail("prFail"),
	prDynamic("prDynamic"),
	prStatic("prStatic"),
	prSAR("prSAR"),
	prAToN("prAToN"),
	prVPassDynamic("prVPassDynamic"),
	prSHDynamic("prSHDynamic"),
	prVPassStatic("prVPassStatic"),
	prSHStatic("prSHStatic"),
	prDMFHFDynamic("prDMFHFDynamic"),
	prDMFHFStatic("prDMFHFStatic"),
	prLTEMDynamic("prLTEMDynamic"),
	prLTEMStatic("prLTEMStatic"),
	prLTEMSos("prLTEMSos"),
	prDMFHFDistress("prDMFHFDistress");

	private final String typeName;

	private GmtSTDType(String name) {
		this.typeName = name;
	}

	public String getName() {
		return this.typeName;
	}
}
